@font-face {
    font-family: 'StretchPro';
    src: url(../fonts/StretchPro.otf) format('opentype');
    font-weight: normal;
    font-style: normal;
}

.banner {
    margin-top: 100px;

    font-family: 'StretchPro', sans-serif;

    background-color: #ffde00;

    overflow: hidden;
}

.banner__item {
    position: relative;

    width: 100vw;

    flex: 0 0 100%;

    display: flex;
    justify-content: center;

    overflow: hidden;
}

.banner__item-conteudo {
    position: absolute;
    bottom: 0;
    left: 50%;

    transform: translateX(-50%);

    height: 100%;
    width: 100%;

    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;

    padding-left: 50px;

    overflow: hidden;
}

.banner__item-conteudo div {
    width: 570px;

    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 10px;
}

.banner_item-conteudo-t1 {
    font-size: clamp(20px, 3.3vw, 30px);

    position: relative;
}

.banner_item-conteudo-t1::after {
    position: absolute;
    content: '';
    bottom: 0px;
    left: 0;

    width: calc(100% + 30px);
    height: 5px;

    background-color: #FEDA00;
}

.banner_item-conteudo-t2 {
    font-size: clamp(12px, 1.5vw, 16px);
}

.banner_item-conteudo-t3 {
    font-size: clamp(18px, 2.6vw, 24px);
}

.banner_item-conteudo-t3 mark {
    background-color: #FEDA00;
}

.banner__item-conteudo img {
    margin-top: auto;
    height: calc(100% - 20px);
}

.banner__item-conteudo button {
    background-color: #FEDA00;

    border: none;
    border-radius: 30px;

    color: black;

    font-family: 'StretchPro', sans-serif;
    font-size: clamp(14px, 1.5vw, 18px);
    font-weight: 0;

    padding: 8px 20px;

    margin-top: auto;

    max-width: 250px;

    cursor: pointer;
}

.banner__item-conteudo button:hover {
    background-color: #ffdf2b;
}

.banner__item-conteudo button:active {
    background-color: #ffe658;
}

.banner__item-fundo img,
.banner__item-fundo source {
    width: 100%;
    max-width: 1366px;

    object-fit: cover;
}

/*ANIMAÇÃO*/
.banner__container {
    display: flex;
    width: 100%;
    animation: slide 12s infinite;
}

@keyframes slide {

    0%,
    20% {
        transform: translateX(0%);
    }

    25%,
    45% {
        transform: translateX(-100%);
    }

    50%,
    70% {
        transform: translateX(-200%);
    }

    75%,
    100% {
        transform: translateX(0%);
    }
}


#banner_03 .banner__item-conteudo div {
    max-width: 350px;
}


@media screen and (max-width: 700px) {
    .banner__item-conteudo {
        justify-content: start;
    }

    .banner__item-conteudo div {
        width: 250px;
    }

    .banner_item-conteudo-t1 {
        font-size: 20px;

        position: relative;
    }

    .banner_item-conteudo-t2 {
        font-size: 12px;
    }

    .banner_item-conteudo-t3 {
        font-size: 16px;
    }

    .banner__item-conteudo img {
        margin-top: auto;
        height: calc(100% - 20px);
    }

    .banner__item-conteudo button {
        font-size: 14px;

        padding: 8px 10px;

        max-width: 180px;
    }

    #banner_03 .banner__item-conteudo div {
        min-width: 200px;
    }

    #banner_03 .banner__item-conteudo img {
        width: 500px;
        height: auto;
    }

}

@media screen and (max-width: 600px) {
    #banner_03 .banner__item-conteudo img {
        width: 400px;
        height: auto;
    }
}

@media screen and (max-width: 530px) {
    #banner_03 .banner__item-conteudo img {
        width: 350px;
        height: auto;
    }
}